Bug 56553 - Traceback from up2date-config after removing entry from file skip list
Summary: Traceback from up2date-config after removing entry from file skip list
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-20 22:11 UTC by David M. Cook
Modified: 2015-01-07 23:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 17:15:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David M. Cook 2001-11-20 22:11:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
After removing all entries from the file skip list and the package skip
list, one gets the following traceback:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date_client/configdlg.py", line 174, in finish
    if self.writeValues(button):
  File "/usr/share/rhn/up2date_client/configdlg.py", line 161, in writeValues
    files.append(self.xml.get_widget("fileList").get_text(i, 0))
  File "/usr/lib/python1.5/site-packages/gtk.py", line 1218, in get_text
    return _gtk.gtk_clist_get_text(self._o, r, c)
ValueError: can't get text value


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Remove entries from package skip list
2.Add an entry to file skip list
3.Remove the netry from the file skip list
4.Click OK
	

Actual Results:  Traceback:
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date_client/configdlg.py", line 174, in finish
    if self.writeValues(button):
  File "/usr/share/rhn/up2date_client/configdlg.py", line 161, in writeValues
    files.append(self.xml.get_widget("fileList").get_text(i, 0))
  File "/usr/lib/python1.5/site-packages/gtk.py", line 1218, in get_text
    return _gtk.gtk_clist_get_text(self._o, r, c)
ValueError: can't get text value



Expected Results:  File and package skip lists are updated and client exits.

Additional info:

up2date-2.7.2-7.x.6

A workaround is to use the tui version:

up2date --configure --nox

Comment 1 Adrian Likins 2001-12-03 17:15:49 UTC
fixed in 2.7.11 packages


Note You need to log in before you can comment on or make changes to this bug.